Bug 239652 - databases/skytools: Unbreak build with PostgreSQL 11
Summary: databases/skytools: Unbreak build with PostgreSQL 11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 239514
  Show dependency treegraph
 
Reported: 2019-08-05 05:13 UTC by Tobias Kortkamp
Modified: 2019-08-18 13:29 UTC (History)
0 users

See Also:


Attachments
skytools.diff (9.45 KB, patch)
2019-08-05 05:13 UTC, Tobias Kortkamp
tobik: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-08-05 05:13:19 UTC
Created attachment 206286 [details]
skytools.diff

This is with DEFAULT_VERSIONS+=pgsql=11 in make.conf and blocks making it
the default.

logutriga.c:57:24: error: member reference type 'FormData_pg_attribute' (aka 'struct FormData_pg_attribute') is not a pointer; did you mean to use '.'?
                if (tupdesc->attrs[i]->attisdropped)
                    ~~~~~~~~~~~~~~~~~^~
                                     .
logutriga.c:148:24: error: member reference type 'FormData_pg_attribute' (aka 'struct FormData_pg_attribute') is not a pointer; did you mean to use '.'?
                if (tupdesc->attrs[i]->attisdropped)
                    ~~~~~~~~~~~~~~~~~^~
                                     .
2 errors generated.

http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/skytools-3.2_3.log

The attached patch fixes the build with PostgreSQL 11 but I cannot speak for
runtime.  Can you check?

It also marks the port as deprecated since it seems to be abandonware which
was last updated in 2014.
Comment 1 Bugzilla Automation freebsd_committer 2019-08-05 05:13:19 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2019-08-18 13:29:09 UTC
A commit references this bug:

Author: tobik
Date: Sun Aug 18 13:28:55 UTC 2019
New revision: 509208
URL: https://svnweb.freebsd.org/changeset/ports/509208

Log:
  databases/skytools: Unbreak build with PostgreSQL 11

  logutriga.c:57:24: error: member reference type 'FormData_pg_attribute' (aka 'struct FormData_pg_attribute') is not a pointer; did you mean to use '.'?
  if (tupdesc->attrs[i]->attisdropped)
  ~~~~~~~~~~~~~~~~~^~
  .
  logutriga.c:148:24: error: member reference type 'FormData_pg_attribute' (aka 'struct FormData_pg_attribute') is not a pointer; did you mean to use '.'?
  if (tupdesc->attrs[i]->attisdropped)
  ~~~~~~~~~~~~~~~~~^~
  .
  2 errors generated.

  http://package18.nyi.freebsd.org/data/120amd64-default-PR239514/2019-07-29_20h41m52s/logs/skytools-3.2_3.log

  While here deprecate it.  It was last updated in 2014 and seems to
  have been abandoned.

  PR:		239652
  Approved by:	sam@cassiba.com (maintainer timeout, 2 weeks)

Changes:
  head/databases/skytools/Makefile
  head/databases/skytools/files/
  head/databases/skytools/files/patch-sql_pgq_triggers_common.c
  head/databases/skytools/files/patch-sql_pgq_triggers_logutriga.c
  head/databases/skytools/files/patch-sql_pgq_triggers_makesql.c
  head/databases/skytools/files/patch-sql_pgq_triggers_stringutil.c
  head/databases/skytools/files/patch-sql_txid_Makefile